[
  {
    "chunk_id": 26,
    "chunk_type": "group",
    "human_description": "This is group 'CountryGroup' definition for report 'BarChartReport'. Group expression: $F{ShipCountry}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"CountryGroup\">\n\t\t<expression>$F{ShipCountry}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"line\" uuid=\"87cdf58f-bc3b-4035-83db-f2ede058c4c4\" x=\"0\" y=\"14\" width=\"270\" height=\"1\" />\n\t\t\t\t<element kind=\"textField\" uuid=\"94941e6f-ae36-44e2-ae44-761a43fde446\" x=\"10\" y=\"2\" width=\"150\" height=\"11\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{ShipCountry}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"bda9737a-cd79-4d0d-baa8-42859d144563\" x=\"170\" y=\"2\" width=\"100\" height=\"11\" evaluationTime=\"Group\" pattern=\"EEE, MMM d, yyyy\" evaluationGroup=\"CountryGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{DateHighestCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"9c427e20-9903-475c-9179-ed6fb233e038\" x=\"0\" y=\"0\" width=\"270\" height=\"11\" forecolor=\"#C0C0C0\" backcolor=\"#C0C0C0\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"a95f6805-e801-48b5-b70e-541f03dd6c3e\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"45\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"a7af9720-11f1-4288-a2a2-56f9df6baa9e\" mode=\"Opaque\" x=\"45\" y=\"0\" width=\"25\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{CountryGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"94a5fd1d-b2eb-4619-a4ed-35d23b1ec4f4\" mode=\"Opaque\" x=\"70\" y=\"0\" width=\"140\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"6db23a10-65cb-42a9-b0e9-8aa5f098f48e\" mode=\"Opaque\" x=\"210\" y=\"0\" width=\"60\" height=\"11\" backcolor=\"#C0C0C0\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'BarChartReport' group 'CountryGroup'",
    "metadata": {
      "group_name": "CountryGroup",
      "expression": "$F{ShipCountry}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  },
  {
    "chunk_id": 26,
    "chunk_type": "group",
    "human_description": "This is group 'CountryGroup' definition for report 'BarChartReport'. Group expression: $F{ShipCountry}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: false.",
    "raw_xml": "<group name=\"CountryGroup\">\n\t\t<expression>$F{ShipCountry}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"line\" uuid=\"87cdf58f-bc3b-4035-83db-f2ede058c4c4\" x=\"0\" y=\"14\" width=\"270\" height=\"1\" />\n\t\t\t\t<element kind=\"textField\" uuid=\"94941e6f-ae36-44e2-ae44-761a43fde446\" x=\"10\" y=\"2\" width=\"150\" height=\"11\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{ShipCountry}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"bda9737a-cd79-4d0d-baa8-42859d144563\" x=\"170\" y=\"2\" width=\"100\" height=\"11\" evaluationTime=\"Group\" pattern=\"EEE, MMM d, yyyy\" evaluationGroup=\"CountryGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{DateHighestCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"9c427e20-9903-475c-9179-ed6fb233e038\" x=\"0\" y=\"0\" width=\"270\" height=\"11\" forecolor=\"#C0C0C0\" backcolor=\"#C0C0C0\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"a95f6805-e801-48b5-b70e-541f03dd6c3e\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"45\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"a7af9720-11f1-4288-a2a2-56f9df6baa9e\" mode=\"Opaque\" x=\"45\" y=\"0\" width=\"25\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{CountryGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"94a5fd1d-b2eb-4619-a4ed-35d23b1ec4f4\" mode=\"Opaque\" x=\"70\" y=\"0\" width=\"140\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"6db23a10-65cb-42a9-b0e9-8aa5f098f48e\" mode=\"Opaque\" x=\"210\" y=\"0\" width=\"60\" height=\"11\" backcolor=\"#C0C0C0\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'BarChartReport' group 'CountryGroup'",
    "metadata": {
      "group_name": "CountryGroup",
      "expression": "$F{ShipCountry}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "false"
    }
  }
]